#!/bin/sh

# Install dnsmasq and hostapd
echo "---------------------------------------------"
echo "- Install dnsmasq and hostapd openjdk-8-jdk -"
echo "---------------------------------------------"
sudo apt-get update
sudo apt-get install dnsmasq hostapd openjdk-8-jdk -y
if [ $? -eq 0 ]; then
    echo "OK"
else
    echo "A problem occured, please resolve it"
    exit
fi

# Copy wiiu server files
echo "--------------------------"
echo "- Copy wiiu server files -"
echo "--------------------------"
cp -rf ./files/home/pi/wiiu /home/pi/wiiu
echo "OK"

# Copy startup.sh file
echo "------------------------"
echo "- Copy startup.sh file -"
echo "------------------------"
cp ./files/home/pi/startup.sh /home/pi/startup.sh
chmod +x /home/pi/startup.sh
echo "OK"

# Setup network
echo "-----------------"
echo "- Setup network -"
echo "-----------------"
sudo cp ./files/etc/dhcpcd.conf /etc/dhcpcd.conf
sudo cp ./files/etc/default/hostapd /etc/default/hostapd
sudo cp ./files/etc/hostapd/hostapd.conf /etc/hostapd/hostapd.conf
sudo cp ./files/etc/dnsmasq.conf /etc/dnsmasq.conf
sudo cp ./files/etc/network/interfaces /etc/network/interfaces
sudo cp ./files/etc/init.d/wiiu_hax.sh /etc/init.d/wiiu_hax.sh
sudo chmod +x /etc/init.d/wiiu_hax.sh
sudo update-rc.d wiiu_hax.sh defaults
echo "OK"

# Reboot
echo "----------------------"
echo "- All done => REBOOT -"
echo "----------------------"
sudo reboot
